# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pin/version'

Gem::Specification.new do |spec|
  spec.name          = 'pin-ruby'
  spec.version       = Pin::VERSION
  spec.authors       = ["Michael Shimmins"]
  spec.email         = ["michael.shimmins@redsquirrel.com.au"]
  spec.description   = %q{A Ruby library for interacting with v1 of the Pin Payments API}
  spec.summary       = spec.description
  spec.homepage      = 'https://github.com/redsquirreldev/pin-ruby'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = %w(lib)

  spec.add_dependency 'json'
  spec.add_dependency 'activesupport'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'

  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'fakeweb'
  spec.add_development_dependency 'spork', '~> 0.9.0.rc'
  spec.add_development_dependency 'guard-rspec', '~> 0.7.0'
  spec.add_development_dependency 'terminal-notifier-guard'
end
