require 'rubygems'
require 'fakeweb'

RSpec.configure do |config|
  config.before(:each) do
    FakeWeb.allow_net_connect = false
  end
end

lib_dir = File.expand_path(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(lib_dir) unless $LOAD_PATH.include?(lib_dir)

require 'pin'

Pin.configure do |config|
  #config.publishable_key = 'pk_test'
  #config.secret_key = 'sk_test'
  config.endpoint = 'test-api.pin.net.au'
end